- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 4fb47689-cf66-44a5-9e40-4591af1c3af3
    creation_time: 2023-02-17T12:10:33.871362Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-new/nested-1.i
      input_file_hashes:
        c/loop-new/nested-1.i: 3baf312ca85439572472b3c02ed304b3157fa97373d6ada535e5a723c6c0219a
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-new/nested-1.i
    file_hash: 3baf312ca85439572472b3c02ed304b3157fa97373d6ada535e5a723c6c0219a
    line: 31
    column: 0
    function: main
  loop_invariant:
    string: 0 <= i && i <= n && n >= 10 && m >= 10 && k == m*i
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 7c664a82-4326-43c7-8781-6dfd58248833
    creation_time: 2023-02-17T12:10:33.871579Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-new/nested-1.i
      input_file_hashes:
        c/loop-new/nested-1.i: 3baf312ca85439572472b3c02ed304b3157fa97373d6ada535e5a723c6c0219a
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-new/nested-1.i
    file_hash: 3baf312ca85439572472b3c02ed304b3157fa97373d6ada535e5a723c6c0219a
    line: 32
    column: 0
    function: main
  loop_invariant:
    string: 0 <= j && j <= m && 0 <= i && i < n && n >= 10 && m >= 10 && k == m*i+j
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 5eefc942-ee47-4ff8-8c8a-b681ca6eed56
    creation_time: 2023-02-17T12:10:33.871771Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-new/nested-1.i
      input_file_hashes:
        c/loop-new/nested-1.i: 3baf312ca85439572472b3c02ed304b3157fa97373d6ada535e5a723c6c0219a
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-new/nested-1.i
    file_hash: 3baf312ca85439572472b3c02ed304b3157fa97373d6ada535e5a723c6c0219a
    line: 36
    column: 0
    function: main
  location_invariant:
    string: k >= 100
    type: assertion
    format: C

